Subject: bug#65143: closed (Re: bug#65143: dired-aux-tests and kmacro-tests failures on master)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Sep 2023 12:35:01 +0000

Your bug report

#65143: dired-aux-tests and kmacro-tests failures on master

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65143: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65143
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65143: dired-aux-tests and kmacro-tests failures on master
From: Stefan Kangas <[email-masked]>
To: Po Lu <[email-masked]>
Cc: Mattias Engdegård <[email-masked]>, [email-masked]
Date: Fri, 15 Sep 2023 05:34:30 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Po Lu <[email-masked]> writes:

> I fixed the kmacro and fileio failures.

Thanks, I'm therefore closing this bug report.

Subject: dired-aux-tests and kmacro-tests failures on master
From: Mattias Engdegård <[email-masked]>
To: Emacs Bug Report <[email-masked]>
Cc: Po Lu <[email-masked]>
Date: Tue, 8 Aug 2023 11:26:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Currently (eeda9eff1a) on master:

   FAILED  dired-test-bug30624
   FAILED  kmacro-tests-step-edit-append
   FAILED  kmacro-tests-step-edit-replace

from dired-aux-tests and macro-tests respectively.

Most likely suspects are the recent Android merge and the unprompted delete-file changes, but I really have no idea.